INCLUDES    = $(all_includes)

kde_module_LTLIBRARIES = tdeio_%{APPNAMELC}.la

tdeio_%{APPNAMELC}_la_SOURCES = %{APPNAMELC}.cpp
tdeio_%{APPNAMELC}_la_LIBADD = -ltdeio        
tdeio_%{APPNAMELC}_la_LDFLAGS = -module -avoid-version $(all_libraries) $(KDE_PLUGIN) $(LIB_TQT) $(LIB_TDECORE) $(LIB_TDEUI) $(LIB_TDEPARTS)

protocol_DATA = %{APPNAMELC}.protocol
protocoldir = $(kde_servicesdir)

messages: rc.cpp
	$(EXTRACTRC) `find . -name \*.ui -o -name \*.rc` > rc.cpp
	$(XGETTEXT) *.cpp -o $(podir)/tdeio_%{APPNAMELC}.pot
